Update a Relationship
curl --request PUT \
--url https://api.virtuoussoftware.com/api/Relationship/{relationshipId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"relationshipType": "<string>",
"notes": "<string>"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({relationshipType: '<string>', notes: '<string>'})
};
fetch('https://api.virtuoussoftware.com/api/Relationship/{relationshipId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Relationship/{relationshipId}"
payload = {
"relationshipType": "<string>",
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Relationship/{relationshipId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"relationshipType\": \"<string>\",\n \"notes\": \"<string>\"\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/Relationship/{relationshipId}';
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({relationshipType: '<string>', notes: '<string>'})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": "<integer>",
"contactId": "<integer>",
"contact": "<string>",
"contactIndividual": "<string>",
"relatedContactId": "<integer>",
"relatedContact": "<string>",
"relatedContactIndividual": "<string>",
"relationshipType": "<string>",
"notes": "<string>",
"relatedContactViewUrl": "<string>"
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Contacts and Individuals
Update a Relationship
Similar to other update methods in the API, excluding a property will remove its value from the object. If you’re only updating a single property, the entire model is still required.
PUT
/
api
/
Relationship
/
{relationshipId}
Update a Relationship
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
(Required) The relationship identifier.
Body
application/json
Response
OK
The unique identifier of the record in Virtuous.
The identifier of the contact this record belongs to.
Last modified on August 11, 2026
Was this page helpful?
⌘I